#include <iostream>
#define MAXN 100005
using namespace std;

int main()
{
    int x[MAXN],y[MAXN],z[MAXN];
    int n,brojac=0;

    cin>>n;
    for(int i=1;i<=n;i++)
        cin>>x[i];
    for(int i=1;i<=n;i++)
        cin>>y[i];
    for(int i=1;i<=n;i++)
        cin>>z[i];

    for(int i=1;i<=n;i++)
        for(int j=1;j<=n;j++)
            {
               if(x[i]==y[z[j]])
                    brojac++;
            }

    cout<<brojac;


    return 0;
}